## rust-fragile 2.0.0

=== Makefile ===
all: build test

build:
	@cargo build

check:
	@cargo check

doc:
	@cargo doc

test:
	@cargo test
	@cargo test --all-features

format:
	@rustup component add rustfmt 2> /dev/null
	@cargo fmt --all

format-check:
	@rustup component add rustfmt 2> /dev/null
	@cargo fmt --all -- --check

lint:
	@rustup component add clippy 2> /dev/null
	@cargo clippy

.PHONY: all check doc test format format-check lint

## rust-fragile 0.3.0

=== debian/changelog ===
rust-fragile (0.3.0-1) unstable; urgency=medium

  * Package fragile 0.3.0 from crates.io using debcargo 2.2.9

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Sat, 24 Nov 2018 09:41:06 +0100

=== debian/control ===
Source: rust-fragile
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 10),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Wolfgang Silbermayr <wolfgang@silbermayr.at>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/fragile]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/fragile
Homepage: https://github.com/mitsuhiko/rust-fragile

Package: librust-fragile-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends}
Provides:
 librust-fragile+default-dev (= ${binary:Version}),
 librust-fragile-0-dev (= ${binary:Version}),
 librust-fragile-0+default-dev (= ${binary:Version}),
 librust-fragile-0.3-dev (= ${binary:Version}),
 librust-fragile-0.3+default-dev (= ${binary:Version}),
 librust-fragile-0.3.0-dev (= ${binary:Version}),
 librust-fragile-0.3.0+default-dev (= ${binary:Version})
Description: Wrapper types that permit sending non Send types - Rust source code
 This package contains the source for the Rust fragile crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/fragile-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/fragile .*/crates/fragile/@ANY_VERSION@/download

## rust-fragile 1.2.1

=== debian/changelog ===
rust-fragile (1.2.1-1) unstable; urgency=medium

  * Team upload.
  * Package fragile 1.2.1 from crates.io using debcargo 2.5.0

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Sat, 08 Oct 2022 09:55:22 -0400

=== debian/control ===
Source: rust-fragile
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Wolfgang Silbermayr <wolfgang@silbermayr.at>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/fragile]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/fragile
Homepage: https://github.com/mitsuhiko/fragile
Rules-Requires-Root: no

Package: librust-fragile-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-slab-0.4+default-dev (>= 0.4.4-~~)
Provides:
 librust-fragile+default-dev (= ${binary:Version}),
 librust-fragile+slab-dev (= ${binary:Version}),
 librust-fragile-1-dev (= ${binary:Version}),
 librust-fragile-1+default-dev (= ${binary:Version}),
 librust-fragile-1+slab-dev (= ${binary:Version}),
 librust-fragile-1.2-dev (= ${binary:Version}),
 librust-fragile-1.2+default-dev (= ${binary:Version}),
 librust-fragile-1.2+slab-dev (= ${binary:Version}),
 librust-fragile-1.2.1-dev (= ${binary:Version}),
 librust-fragile-1.2.1+default-dev (= ${binary:Version}),
 librust-fragile-1.2.1+slab-dev (= ${binary:Version})
Description: Wrapper types that permit sending non Send types - Rust source code
 This package contains the source for the Rust fragile crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test fragile 1.2.1 --all-targets --all-features
Features: test-name=rust-fragile:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test fragile 1.2.1 --all-targets 
Features: test-name=librust-fragile-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test fragile 1.2.1 --all-targets --no-default-features --features slab
Features: test-name=librust-fragile-dev:slab
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test fragile 1.2.1 --all-targets --no-default-features
Features: test-name=librust-fragile-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

## rust-fragile 2.0.0

=== debian/changelog ===
rust-fragile (2.0.0-1) unstable; urgency=medium

  * Team upload.
  * Package fragile 2.0.0 from crates.io using debcargo 2.6.0 (Closes: #1024437)

 -- Peter Michael Green <plugwash@debian.org>  Sun, 29 Oct 2023 05:04:44 +0000

=== debian/control ===
Source: rust-fragile
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Wolfgang Silbermayr <wolfgang@silbermayr.at>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/fragile]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/fragile
Homepage: https://github.com/mitsuhiko/fragile
X-Cargo-Crate: fragile
Rules-Requires-Root: no

Package: librust-fragile-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-slab-0.4+default-dev (>= 0.4.4-~~)
Provides:
 librust-fragile+default-dev (= ${binary:Version}),
 librust-fragile+slab-dev (= ${binary:Version}),
 librust-fragile-2-dev (= ${binary:Version}),
 librust-fragile-2+default-dev (= ${binary:Version}),
 librust-fragile-2+slab-dev (= ${binary:Version}),
 librust-fragile-2.0-dev (= ${binary:Version}),
 librust-fragile-2.0+default-dev (= ${binary:Version}),
 librust-fragile-2.0+slab-dev (= ${binary:Version}),
 librust-fragile-2.0.0-dev (= ${binary:Version}),
 librust-fragile-2.0.0+default-dev (= ${binary:Version}),
 librust-fragile-2.0.0+slab-dev (= ${binary:Version})
Description: Wrapper types that permit sending non Send types - Rust source code
 This package contains the source for the Rust fragile crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test fragile 2.0.0 --all-targets --all-features
Features: test-name=rust-fragile:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test fragile 2.0.0 --all-targets
Features: test-name=librust-fragile-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test fragile 2.0.0 --all-targets --no-default-features --features slab
Features: test-name=librust-fragile-dev:slab
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test fragile 2.0.0 --all-targets --no-default-features
Features: test-name=librust-fragile-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/fragile-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/fragile .*/crates/fragile/@ANY_VERSION@/download
